Name:          python-cffi
Version:       1.3.1
Release:       1mamba
Summary:       Foreign Function Interface for Python calling C code
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.python.org/pypi/cffi
Source:        https://pypi.python.org/packages/source/c/cffi/cffi-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 python-cffi' to get the list of build requirements.
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n cffi-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
## note: this list is just an example; modify as required
# %{python_sitearch}/%{name}.py*
# %{python_sitearch}/%{name}.so

## note: eventually add the remaining documents (if any)
# 

%changelog
* Thu Nov 19 2015 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Thu Oct 22 2015 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Sun Aug 23 2015 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Mon Jun 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2.tar.gz#md5=ca6e6c45b45caa87aee9adc7c796eaea-1mamba
- package created using the webbuild interface
